TKN-HUB-INSTALL-TASK(1)

NAME

tkn-hub-install-task - Install Task from a catalog by its name and version

SYNOPSIS

tkn hub install task

DESCRIPTION

Install Task from a catalog by its name and version

OPTIONS

-h, --help[=false]
    help for task

OPTIONS INHERITED FROM PARENT COMMANDS

--api-server=""
    Hub API Server URL (default ' ⟨https://api.hub.tekton.dev'⟩ for 'tekton' type; default ' ⟨https://artifacthub.io'⟩ for 'artifact' type). URL can also be defined in a file '$HOME/.tekton/hub-config' with a variable 'TEKTON_HUB_API_SERVER'/'ARTIFACT_HUB_API_SERVER'.

-c, --context=""
    Name of the kubeconfig context to use (default: kubectl config current-context)

--from=""
    Name of Catalog to which resource belongs.

-k, --kubeconfig=""
    Kubectl config file (default: $HOME/.kube/config)

-n, --namespace=""
    Namespace to use (default: from $KUBECONFIG)

--type="tekton"
    The type of Hub from where to pull the resource. Either 'artifact' or 'tekton'

--version=""
    Version of Resource

EXAMPLE

Install a Task of name 'foo':

    tkn hub install task foo

or

Install a Task of name 'foo' of version '0.3' from Catalog 'Tekton':

    tkn hub install task foo --version 0.3 --from tekton

Note that the resources in Artifact Hub follow full SemVer - <major>.<minor>.<patch> (e.g. 0.3.0), please double check the version used

SEE ALSO

tkn-hub-install(1)